/**************************************************************************/
/*! 
    @file     consolas11.h
    @author   K. Townsend (microBuilder.eu)
    @date     22 March 2010
    @version  0.10

    @section LICENSE

    Software License Agreement (BSD License)

    Copyright (c) 2010, microBuilder SARL
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:
    1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    3. Neither the name of the copyright holders nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/**************************************************************************/
#include "consolas11.h"

/* 
**  Font data for Consolas 11pt
*/

/* Character bitmaps for Consolas 11pt */
const uint8_t consolas11ptCharBitmaps[] = 
{
	/* @0 ' ' (2 pixels wide) */
	0x00, 0x00, /*                  */
	0x00, 0x00, /*                  */

	/* @4 '!' (2 pixels wide) */
	0x1B, 0xF8, /*    ## #######    */
	0x18, 0x00, /*    ##            */

	/* @8 '"' (5 pixels wide) */
	0x00, 0x38, /*           ###    */
	0x00, 0x38, /*           ###    */
	0x00, 0x00, /*                  */
	0x00, 0x38, /*           ###    */
	0x00, 0x38, /*           ###    */

	/* @18 '#' (8 pixels wide) */
	0x02, 0x40, /*       #  #       */
	0x1F, 0x40, /*    ##### #       */
	0x02, 0xF8, /*       # #####    */
	0x02, 0x40, /*       #  #       */
	0x02, 0x40, /*       #  #       */
	0x1F, 0x40, /*    ##### #       */
	0x02, 0xF8, /*       # #####    */
	0x02, 0x40, /*       #  #       */

	/* @34 '$' (6 pixels wide) */
	0x10, 0x70, /*    #     ###     */
	0x10, 0x88, /*    #    #   #    */
	0x7F, 0xC8, /*  #########  #    */
	0x11, 0x3C, /*    #   #  ####   */
	0x19, 0x08, /*    ##  #    #    */
	0x0E, 0x00, /*     ###          */

	/* @46 '%' (8 pixels wide) */
	0x10, 0x30, /*    #      ##     */
	0x18, 0x48, /*    ##    #  #    */
	0x06, 0x48, /*      ##  #  #    */
	0x03, 0x30, /*       ##  ##     */
	0x0C, 0x80, /*     ##  #        */
	0x12, 0x60, /*    #  #  ##      */
	0x12, 0x10, /*    #  #    #     */
	0x0C, 0x08, /*     ##      #    */

	/* @62 '&' (8 pixels wide) */
	0x0E, 0x00, /*     ###          */
	0x19, 0x70, /*    ##  # ###     */
	0x10, 0xC8, /*    #    ##  #    */
	0x11, 0x88, /*    #   ##   #    */
	0x16, 0x48, /*    # ##  #  #    */
	0x0C, 0x70, /*     ##   ###     */
	0x1F, 0x00, /*    #####         */
	0x10, 0x00, /*    #             */

	/* @78 ''' (2 pixels wide) */
	0x00, 0x38, /*           ###    */
	0x00, 0x38, /*           ###    */

	/* @82 '(' (4 pixels wide) */
	0x0F, 0xC0, /*     ######       */
	0x30, 0x30, /*   ##      ##     */
	0x40, 0x08, /*  #          #    */
	0x80, 0x04, /* #            #   */

	/* @90 ')' (4 pixels wide) */
	0x80, 0x04, /* #            #   */
	0x40, 0x08, /*  #          #    */
	0x30, 0x30, /*   ##      ##     */
	0x0F, 0xC0, /*     ######       */

	/* @98 '*' (5 pixels wide) */
	0x00, 0x90, /*         #  #     */
	0x00, 0x60, /*          ##      */
	0x01, 0xF8, /*        ######    */
	0x00, 0x60, /*          ##      */
	0x00, 0x90, /*         #  #     */

	/* @108 '+' (7 pixels wide) */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x1F, 0xC0, /*    #######       */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */

	/* @122 ',' (3 pixels wide) */
	0x80, 0x00, /* #                */
	0xD8, 0x00, /* ## ##            */
	0x78, 0x00, /*  ####            */

	/* @128 '-' (4 pixels wide) */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */

	/* @136 '.' (2 pixels wide) */
	0x18, 0x00, /*    ##            */
	0x18, 0x00, /*    ##            */

	/* @140 '/' (6 pixels wide) */
	0x40, 0x00, /*  #               */
	0x38, 0x00, /*   ###            */
	0x0E, 0x00, /*     ###          */
	0x03, 0x80, /*       ###        */
	0x00, 0x70, /*          ###     */
	0x00, 0x18, /*            ##    */

	/* @152 '0' (7 pixels wide) */
	0x07, 0xE0, /*      ######      */
	0x0A, 0x10, /*     # #    #     */
	0x11, 0x08, /*    #   #    #    */
	0x11, 0x88, /*    #   ##   #    */
	0x10, 0x88, /*    #    #   #    */
	0x08, 0x50, /*     #    # #     */
	0x07, 0xE0, /*      ######      */

	/* @166 '1' (6 pixels wide) */
	0x10, 0x20, /*    #      #      */
	0x10, 0x10, /*    #       #     */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */

	/* @178 '2' (6 pixels wide) */
	0x10, 0x10, /*    #       #     */
	0x18, 0x08, /*    ##       #    */
	0x14, 0x08, /*    # #      #    */
	0x12, 0x08, /*    #  #     #    */
	0x11, 0x18, /*    #   #   ##    */
	0x10, 0xF0, /*    #    ####     */

	/* @190 '3' (6 pixels wide) */
	0x10, 0x08, /*    #        #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x09, 0xC8, /*     #  ###  #    */
	0x07, 0x70, /*      ### ###     */

	/* @202 '4' (8 pixels wide) */
	0x06, 0x00, /*      ##          */
	0x07, 0x00, /*      ###         */
	0x04, 0xC0, /*      #  ##       */
	0x04, 0x60, /*      #   ##      */
	0x04, 0x18, /*      #     ##    */
	0x1F, 0xF8, /*    ##########    */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */

	/* @218 '5' (5 pixels wide) */
	0x10, 0xF8, /*    #    #####    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x09, 0x88, /*     #  ##   #    */
	0x0F, 0x08, /*     ####    #    */

	/* @228 '6' (6 pixels wide) */
	0x07, 0xE0, /*      ######      */
	0x19, 0x10, /*    ##  #   #     */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x18, 0x88, /*    ##   #   #    */
	0x0F, 0x00, /*     ####         */

	/* @240 '7' (6 pixels wide) */
	0x00, 0x08, /*             #    */
	0x18, 0x08, /*    ##       #    */
	0x0E, 0x08, /*     ###     #    */
	0x03, 0x88, /*       ###   #    */
	0x00, 0xF8, /*         #####    */
	0x00, 0x18, /*            ##    */

	/* @252 '8' (6 pixels wide) */
	0x0E, 0x70, /*     ###  ###     */
	0x19, 0x48, /*    ##  # #  #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x11, 0x48, /*    #   # #  #    */
	0x0E, 0x70, /*     ###  ###     */

	/* @264 '9' (6 pixels wide) */
	0x00, 0xF0, /*         ####     */
	0x11, 0x18, /*    #   #   ##    */
	0x11, 0x08, /*    #   #    #    */
	0x11, 0x08, /*    #   #    #    */
	0x08, 0x98, /*     #   #  ##    */
	0x07, 0xE0, /*      ######      */

	/* @276 ':' (2 pixels wide) */
	0x18, 0xC0, /*    ##   ##       */
	0x18, 0xC0, /*    ##   ##       */

	/* @280 ';' (3 pixels wide) */
	0x80, 0x00, /* #                */
	0xD8, 0xC0, /* ## ##   ##       */
	0x78, 0xC0, /*  ####   ##       */

	/* @286 '<' (5 pixels wide) */
	0x03, 0x00, /*       ##         */
	0x07, 0x80, /*      ####        */
	0x0C, 0xC0, /*     ##  ##       */
	0x08, 0x40, /*     #    #       */
	0x10, 0x20, /*    #      #      */

	/* @296 '=' (6 pixels wide) */
	0x02, 0x80, /*       # #        */
	0x02, 0x80, /*       # #        */
	0x02, 0x80, /*       # #        */
	0x02, 0x80, /*       # #        */
	0x02, 0x80, /*       # #        */
	0x02, 0x80, /*       # #        */

	/* @308 '>' (5 pixels wide) */
	0x10, 0x20, /*    #      #      */
	0x08, 0x40, /*     #    #       */
	0x0C, 0xC0, /*     ##  ##       */
	0x07, 0x80, /*      ####        */
	0x03, 0x00, /*       ##         */

	/* @318 '?' (4 pixels wide) */
	0x1B, 0x08, /*    ## ##    #    */
	0x19, 0x08, /*    ##  #    #    */
	0x01, 0x10, /*        #   #     */
	0x00, 0xE0, /*         ###      */

	/* @326 '@' (8 pixels wide) */
	0x3F, 0x80, /*   #######        */
	0x40, 0x60, /*  #       ##      */
	0x9F, 0x10, /* #  #####   #     */
	0x91, 0x88, /* #  #   ##   #    */
	0x90, 0x88, /* #  #    #   #    */
	0xDF, 0x88, /* ## ######   #    */
	0x10, 0x10, /*    #       #     */
	0x0F, 0xE0, /*     #######      */

	/* @342 'A' (7 pixels wide) */
	0x1C, 0x00, /*    ###           */
	0x07, 0x80, /*      ####        */
	0x04, 0x78, /*      #   ####    */
	0x04, 0x08, /*      #      #    */
	0x04, 0x78, /*      #   ####    */
	0x07, 0xC0, /*      #####       */
	0x1C, 0x00, /*    ###           */

	/* @356 'B' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x19, 0xC8, /*    ##  ###  #    */
	0x0F, 0x70, /*     #### ###     */

	/* @368 'C' (6 pixels wide) */
	0x07, 0xE0, /*      ######      */
	0x08, 0x10, /*     #      #     */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x08, 0x10, /*     #      #     */

	/* @380 'D' (7 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x18, 0x08, /*    ##       #    */
	0x0C, 0x10, /*     ##     #     */
	0x07, 0xE0, /*      ######      */

	/* @394 'E' (5 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */

	/* @404 'F' (5 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x01, 0x08, /*        #    #    */
	0x01, 0x08, /*        #    #    */
	0x01, 0x08, /*        #    #    */
	0x01, 0x08, /*        #    #    */

	/* @414 'G' (7 pixels wide) */
	0x07, 0xC0, /*      #####       */
	0x0C, 0x30, /*     ##    ##     */
	0x18, 0x18, /*    ##      ##    */
	0x10, 0x08, /*    #        #    */
	0x11, 0x08, /*    #   #    #    */
	0x11, 0x08, /*    #   #    #    */
	0x1F, 0x10, /*    #####   #     */

	/* @428 'H' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x00, 0x80, /*         #        */
	0x00, 0x80, /*         #        */
	0x00, 0x80, /*         #        */
	0x00, 0x80, /*         #        */
	0x1F, 0xF8, /*    ##########    */

	/* @440 'I' (5 pixels wide) */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */

	/* @450 'J' (5 pixels wide) */
	0x08, 0x08, /*     #       #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x0F, 0xF8, /*     #########    */

	/* @460 'K' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x01, 0x80, /*        ##        */
	0x03, 0xC0, /*       ####       */
	0x06, 0x60, /*      ##  ##      */
	0x08, 0x10, /*     #      #     */
	0x10, 0x08, /*    #        #    */

	/* @472 'L' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */

	/* @484 'M' (7 pixels wide) */
	0x1F, 0xF0, /*    #########     */
	0x00, 0x18, /*            ##    */
	0x03, 0xE0, /*       #####      */
	0x03, 0x80, /*       ###        */
	0x00, 0x70, /*          ###     */
	0x00, 0x08, /*             #    */
	0x1F, 0xF8, /*    ##########    */

	/* @498 'N' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x00, 0x38, /*           ###    */
	0x00, 0xC0, /*         ##       */
	0x07, 0x00, /*      ###         */
	0x18, 0x00, /*    ##            */
	0x1F, 0xF8, /*    ##########    */

	/* @510 'O' (8 pixels wide) */
	0x07, 0xE0, /*      ######      */
	0x08, 0x30, /*     #     ##     */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x0C, 0x10, /*     ##     #     */
	0x07, 0xE0, /*      ######      */

	/* @526 'P' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x01, 0x08, /*        #    #    */
	0x01, 0x08, /*        #    #    */
	0x01, 0x08, /*        #    #    */
	0x00, 0x98, /*         #  ##    */
	0x00, 0xF0, /*         ####     */

	/* @538 'Q' (7 pixels wide) */
	0x07, 0xE0, /*      ######      */
	0x08, 0x10, /*     #      #     */
	0x10, 0x08, /*    #        #    */
	0x70, 0x08, /*  ###        #    */
	0x90, 0x08, /* #  #        #    */
	0x88, 0x10, /* #   #      #     */
	0xC7, 0xE0, /* ##   ######      */

	/* @552 'R' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x00, 0x88, /*         #   #    */
	0x01, 0x88, /*        ##   #    */
	0x07, 0x88, /*      ####   #    */
	0x1C, 0x70, /*    ###   ###     */
	0x10, 0x00, /*    #             */

	/* @564 'S' (6 pixels wide) */
	0x10, 0x70, /*    #     ###     */
	0x10, 0x88, /*    #    #   #    */
	0x10, 0x88, /*    #    #   #    */
	0x11, 0x88, /*    #   ##   #    */
	0x11, 0x08, /*    #   #    #    */
	0x0E, 0x00, /*     ###          */

	/* @576 'T' (7 pixels wide) */
	0x00, 0x08, /*             #    */
	0x00, 0x08, /*             #    */
	0x00, 0x08, /*             #    */
	0x1F, 0xF8, /*    ##########    */
	0x00, 0x08, /*             #    */
	0x00, 0x08, /*             #    */
	0x00, 0x08, /*             #    */

	/* @590 'U' (6 pixels wide) */
	0x0F, 0xF8, /*     #########    */
	0x18, 0x00, /*    ##            */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x18, 0x00, /*    ##            */
	0x0F, 0xF8, /*     #########    */

	/* @602 'V' (7 pixels wide) */
	0x00, 0x38, /*           ###    */
	0x03, 0xE0, /*       #####      */
	0x1F, 0x00, /*    #####         */
	0x10, 0x00, /*    #             */
	0x0F, 0x00, /*     ####         */
	0x01, 0xE0, /*        ####      */
	0x00, 0x38, /*           ###    */

	/* @616 'W' (8 pixels wide) */
	0x00, 0xF8, /*         #####    */
	0x1F, 0x80, /*    ######        */
	0x18, 0x00, /*    ##            */
	0x07, 0x80, /*      ####        */
	0x03, 0xC0, /*       ####       */
	0x1C, 0x00, /*    ###           */
	0x1F, 0x80, /*    ######        */
	0x00, 0xF8, /*         #####    */

	/* @632 'X' (8 pixels wide) */
	0x10, 0x08, /*    #        #    */
	0x18, 0x18, /*    ##      ##    */
	0x0E, 0x60, /*     ###  ##      */
	0x03, 0xC0, /*       ####       */
	0x03, 0xC0, /*       ####       */
	0x0E, 0x60, /*     ###  ##      */
	0x18, 0x18, /*    ##      ##    */
	0x10, 0x08, /*    #        #    */

	/* @648 'Y' (7 pixels wide) */
	0x00, 0x08, /*             #    */
	0x00, 0x30, /*           ##     */
	0x00, 0xC0, /*         ##       */
	0x1F, 0x00, /*    #####         */
	0x00, 0xC0, /*         ##       */
	0x00, 0x30, /*           ##     */
	0x00, 0x08, /*             #    */

	/* @662 'Z' (7 pixels wide) */
	0x10, 0x08, /*    #        #    */
	0x1C, 0x08, /*    ###      #    */
	0x16, 0x08, /*    # ##     #    */
	0x11, 0x88, /*    #   ##   #    */
	0x10, 0x68, /*    #     ## #    */
	0x10, 0x38, /*    #      ###    */
	0x00, 0x08, /*             #    */

	/* @676 '[' (3 pixels wide) */
	0xFF, 0xFC, /* ##############   */
	0x80, 0x04, /* #            #   */
	0x80, 0x04, /* #            #   */

	/* @682 '\' (6 pixels wide) */
	0x00, 0x08, /*             #    */
	0x00, 0x70, /*          ###     */
	0x01, 0xC0, /*        ###       */
	0x07, 0x00, /*      ###         */
	0x38, 0x00, /*   ###            */
	0x60, 0x00, /*  ##              */

	/* @694 ']' (3 pixels wide) */
	0x80, 0x04, /* #            #   */
	0x80, 0x04, /* #            #   */
	0xFF, 0xFC, /* ##############   */

	/* @700 '^' (5 pixels wide) */
	0x00, 0xC0, /*         ##       */
	0x00, 0x30, /*           ##     */
	0x00, 0x08, /*             #    */
	0x00, 0x30, /*           ##     */
	0x00, 0xC0, /*         ##       */

	/* @710 '_' (8 pixels wide) */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */

	/* @726 '`' (3 pixels wide) */
	0x00, 0x08, /*             #    */
	0x00, 0x18, /*            ##    */
	0x00, 0x10, /*            #     */

	/* @732 'a' (6 pixels wide) */
	0x0C, 0x00, /*     ##           */
	0x12, 0x80, /*    #  # #        */
	0x12, 0x40, /*    #  #  #       */
	0x12, 0x40, /*    #  #  #       */
	0x0A, 0x40, /*     # #  #       */
	0x1F, 0x80, /*    ######        */

	/* @744 'b' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x80, /*    #    #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x08, 0xC0, /*     #   ##       */
	0x07, 0x80, /*      ####        */

	/* @756 'c' (6 pixels wide) */
	0x0F, 0x00, /*     ####         */
	0x08, 0x80, /*     #   #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */

	/* @768 'd' (6 pixels wide) */
	0x0F, 0x00, /*     ####         */
	0x18, 0x80, /*    ##   #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x08, 0x40, /*     #    #       */
	0x1F, 0xF8, /*    ##########    */

	/* @780 'e' (6 pixels wide) */
	0x0F, 0x80, /*     #####        */
	0x1A, 0xC0, /*    ## # ##       */
	0x12, 0x40, /*    #  #  #       */
	0x12, 0x40, /*    #  #  #       */
	0x12, 0xC0, /*    #  # ##       */
	0x13, 0x80, /*    #  ###        */

	/* @792 'f' (6 pixels wide) */
	0x00, 0x80, /*         #        */
	0x00, 0x80, /*         #        */
	0x1F, 0xF0, /*    #########     */
	0x00, 0x88, /*         #   #    */
	0x00, 0x88, /*         #   #    */
	0x00, 0x08, /*             #    */

	/* @804 'g' (7 pixels wide) */
	0x7F, 0x80, /*  ########        */
	0x94, 0x40, /* #  # #   #       */
	0x94, 0x40, /* #  # #   #       */
	0x94, 0x40, /* #  # #   #       */
	0x94, 0x40, /* #  # #   #       */
	0x93, 0xC0, /* #  #  ####       */
	0x60, 0x40, /*  ##      #       */

	/* @818 'h' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x00, 0x80, /*         #        */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x1F, 0x80, /*    ######        */

	/* @830 'i' (6 pixels wide) */
	0x10, 0x40, /*    #     #       */
	0x10, 0x58, /*    #     # ##    */
	0x1F, 0xD8, /*    ####### ##    */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */

	/* @842 'j' (5 pixels wide) */
	0x40, 0x40, /*  #       #       */
	0x80, 0x40, /* #        #       */
	0x80, 0x40, /* #        #       */
	0xC0, 0x58, /* ##       # ##    */
	0x7F, 0xD8, /*  ######### ##    */

	/* @852 'k' (6 pixels wide) */
	0x1F, 0xF8, /*    ##########    */
	0x02, 0x00, /*       #          */
	0x05, 0x00, /*      # #         */
	0x0C, 0x80, /*     ##  #        */
	0x18, 0xC0, /*    ##   ##       */
	0x10, 0x40, /*    #     #       */

	/* @864 'l' (6 pixels wide) */
	0x10, 0x08, /*    #        #    */
	0x10, 0x08, /*    #        #    */
	0x1F, 0xF8, /*    ##########    */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */

	/* @876 'm' (7 pixels wide) */
	0x1F, 0xC0, /*    #######       */
	0x00, 0xC0, /*         ##       */
	0x00, 0x40, /*          #       */
	0x1F, 0xC0, /*    #######       */
	0x00, 0xC0, /*         ##       */
	0x00, 0x40, /*          #       */
	0x1F, 0xC0, /*    #######       */

	/* @890 'n' (6 pixels wide) */
	0x1F, 0xC0, /*    #######       */
	0x00, 0x80, /*         #        */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x1F, 0x80, /*    ######        */

	/* @902 'o' (7 pixels wide) */
	0x0F, 0x00, /*     ####         */
	0x18, 0x80, /*    ##   #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x08, 0xC0, /*     #   ##       */
	0x07, 0x80, /*      ####        */

	/* @916 'p' (6 pixels wide) */
	0xFF, 0xC0, /* ##########       */
	0x10, 0x80, /*    #    #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x08, 0xC0, /*     #   ##       */
	0x07, 0x80, /*      ####        */

	/* @928 'q' (6 pixels wide) */
	0x0F, 0x00, /*     ####         */
	0x18, 0x80, /*    ##   #        */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x08, 0x40, /*     #    #       */
	0xFF, 0xC0, /* ##########       */

	/* @940 'r' (6 pixels wide) */
	0x1F, 0xC0, /*    #######       */
	0x00, 0x80, /*         #        */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x01, 0x80, /*        ##        */

	/* @952 's' (5 pixels wide) */
	0x11, 0x80, /*    #   ##        */
	0x12, 0x40, /*    #  #  #       */
	0x12, 0x40, /*    #  #  #       */
	0x12, 0x40, /*    #  #  #       */
	0x0C, 0x40, /*     ##   #       */

	/* @962 't' (7 pixels wide) */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x0F, 0xF0, /*     ########     */
	0x18, 0x40, /*    ##    #       */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */
	0x10, 0x40, /*    #     #       */

	/* @976 'u' (6 pixels wide) */
	0x0F, 0xC0, /*     ######       */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x10, 0x00, /*    #             */
	0x08, 0x00, /*     #            */
	0x1F, 0xC0, /*    #######       */

	/* @988 'v' (7 pixels wide) */
	0x00, 0xC0, /*         ##       */
	0x03, 0x80, /*       ###        */
	0x1C, 0x00, /*    ###           */
	0x10, 0x00, /*    #             */
	0x0C, 0x00, /*     ##           */
	0x03, 0x80, /*       ###        */
	0x00, 0xC0, /*         ##       */

	/* @1002 'w' (7 pixels wide) */
	0x1F, 0xC0, /*    #######       */
	0x10, 0x00, /*    #             */
	0x0E, 0x00, /*     ###          */
	0x01, 0x00, /*        #         */
	0x0E, 0x00, /*     ###          */
	0x10, 0x00, /*    #             */
	0x0F, 0xC0, /*     ######       */

	/* @1016 'x' (7 pixels wide) */
	0x10, 0x40, /*    #     #       */
	0x18, 0xC0, /*    ##   ##       */
	0x0D, 0x80, /*     ## ##        */
	0x02, 0x00, /*       #          */
	0x0D, 0x80, /*     ## ##        */
	0x18, 0xC0, /*    ##   ##       */
	0x10, 0x40, /*    #     #       */

	/* @1030 'y' (8 pixels wide) */
	0x80, 0x00, /* #                */
	0x80, 0xC0, /* #       ##       */
	0x83, 0x80, /* #     ###        */
	0x6C, 0x00, /*  ## ##           */
	0x30, 0x00, /*   ##             */
	0x0C, 0x00, /*     ##           */
	0x03, 0x80, /*       ###        */
	0x00, 0xC0, /*         ##       */

	/* @1046 'z' (6 pixels wide) */
	0x10, 0x40, /*    #     #       */
	0x18, 0x40, /*    ##    #       */
	0x16, 0x40, /*    # ##  #       */
	0x13, 0x40, /*    #  ## #       */
	0x10, 0xC0, /*    #    ##       */
	0x10, 0x40, /*    #     #       */

	/* @1058 '{' (5 pixels wide) */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */
	0x7E, 0xF8, /*  ###### #####    */
	0x80, 0x04, /* #            #   */
	0x80, 0x04, /* #            #   */

	/* @1068 '|' (1 pixels wide) */
	0xFF, 0xFE, /* ###############  */

	/* @1070 '}' (5 pixels wide) */
	0x80, 0x04, /* #            #   */
	0x80, 0x04, /* #            #   */
	0x7E, 0xF8, /*  ###### #####    */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */

	/* @1080 '~' (7 pixels wide) */
	0x03, 0x00, /*       ##         */
	0x00, 0x80, /*         #        */
	0x00, 0x80, /*         #        */
	0x01, 0x00, /*        #         */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x01, 0x80, /*        ##        */
};

/* Character descriptors for Consolas 11pt */
/* { [Char width in bits], [Offset into consolas11ptCharBitmaps in bytes] } */
const FONT_CHAR_INFO consolas11ptCharDescriptors[] =
{
	{2, 0}, 		/*   */
	{2, 4}, 		/* ! */
	{5, 8}, 		/* " */
	{8, 18}, 		/* # */
	{6, 34}, 		/* $ */
	{8, 46}, 		/* % */
	{8, 62}, 		/* & */
	{2, 78}, 		/* ' */
	{4, 82}, 		/* ( */
	{4, 90}, 		/* ) */
	{5, 98}, 		/* * */
	{7, 108}, 		/* + */
	{3, 122}, 		/* , */
	{4, 128}, 		/* - */
	{2, 136}, 		/* . */
	{6, 140}, 		/* / */
	{7, 152}, 		/* 0 */
	{6, 166}, 		/* 1 */
	{6, 178}, 		/* 2 */
	{6, 190}, 		/* 3 */
	{8, 202}, 		/* 4 */
	{5, 218}, 		/* 5 */
	{6, 228}, 		/* 6 */
	{6, 240}, 		/* 7 */
	{6, 252}, 		/* 8 */
	{6, 264}, 		/* 9 */
	{2, 276}, 		/* : */
	{3, 280}, 		/* ; */
	{5, 286}, 		/* < */
	{6, 296}, 		/* = */
	{5, 308}, 		/* > */
	{4, 318}, 		/* ? */
	{8, 326}, 		/* @ */
	{7, 342}, 		/* A */
	{6, 356}, 		/* B */
	{6, 368}, 		/* C */
	{7, 380}, 		/* D */
	{5, 394}, 		/* E */
	{5, 404}, 		/* F */
	{7, 414}, 		/* G */
	{6, 428}, 		/* H */
	{5, 440}, 		/* I */
	{5, 450}, 		/* J */
	{6, 460}, 		/* K */
	{6, 472}, 		/* L */
	{7, 484}, 		/* M */
	{6, 498}, 		/* N */
	{8, 510}, 		/* O */
	{6, 526}, 		/* P */
	{7, 538}, 		/* Q */
	{6, 552}, 		/* R */
	{6, 564}, 		/* S */
	{7, 576}, 		/* T */
	{6, 590}, 		/* U */
	{7, 602}, 		/* V */
	{8, 616}, 		/* W */
	{8, 632}, 		/* X */
	{7, 648}, 		/* Y */
	{7, 662}, 		/* Z */
	{3, 676}, 		/* [ */
	{6, 682}, 		/* \ */
	{3, 694}, 		/* ] */
	{5, 700}, 		/* ^ */
	{8, 710}, 		/* _ */
	{3, 726}, 		/* ` */
	{6, 732}, 		/* a */
	{6, 744}, 		/* b */
	{6, 756}, 		/* c */
	{6, 768}, 		/* d */
	{6, 780}, 		/* e */
	{6, 792}, 		/* f */
	{7, 804}, 		/* g */
	{6, 818}, 		/* h */
	{6, 830}, 		/* i */
	{5, 842}, 		/* j */
	{6, 852}, 		/* k */
	{6, 864}, 		/* l */
	{7, 876}, 		/* m */
	{6, 890}, 		/* n */
	{7, 902}, 		/* o */
	{6, 916}, 		/* p */
	{6, 928}, 		/* q */
	{6, 940}, 		/* r */
	{5, 952}, 		/* s */
	{7, 962}, 		/* t */
	{6, 976}, 		/* u */
	{7, 988}, 		/* v */
	{7, 1002}, 		/* w */
	{7, 1016}, 		/* x */
	{8, 1030}, 		/* y */
	{6, 1046}, 		/* z */
	{5, 1058}, 		/* { */
	{1, 1068}, 		/* | */
	{5, 1070}, 		/* } */
	{7, 1080}, 		/* ~ */
};

/* Font information for Consolas 11pt */
const FONT_INFO consolas11ptFontInfo =
{
	2,                            /*  Character height */
	' ',                          /*  Start character */
	consolas11ptCharDescriptors,  /*  Character decriptor array */
	consolas11ptCharBitmaps,      /*  Character bitmap array */
};


