/**************************************************************************/
/*! 
    @file     consolas11.h
    @author   K. Townsend (microBuilder.eu)
    @date     22 March 2010
    @version  0.10

    @section LICENSE

    Software License Agreement (BSD License)

    Copyright (c) 2010, microBuilder SARL
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:
    1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    3. Neither the name of the copyright holders nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/**************************************************************************/
#include "consolas16.h"

/* 
**  Font data for Consolas 16pt
*/

/* Character bitmaps for Consolas 16pt */
const uint8_t consolas16ptCharBitmaps[] = 
{
	/* @0 ' ' (2 pixels wide) */
	0x00, 0x00, 0x00, /*                          */
	0x00, 0x00, 0x00, /*                          */

	/* @6 '!' (3 pixels wide) */
	0x0E, 0xFF, 0xC0, /*     ### ##########       */
	0x0E, 0xFF, 0xC0, /*     ### ##########       */
	0x0E, 0xFF, 0xC0, /*     ### ##########       */

	/* @15 '"' (8 pixels wide) */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x00, 0x00, /*                          */
	0x00, 0x00, 0x00, /*                          */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */

	/* @39 '#' (11 pixels wide) */
	0x01, 0x80, 0x00, /*        ##                */
	0x0F, 0xCC, 0x00, /*     ######  ##           */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x01, 0xBF, 0x80, /*        ## #######        */
	0x01, 0x8C, 0x00, /*        ##   ##           */
	0x01, 0x8C, 0x00, /*        ##   ##           */
	0x0F, 0xCC, 0x00, /*     ######  ##           */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x01, 0xBF, 0x80, /*        ## #######        */
	0x01, 0x8C, 0x00, /*        ##   ##           */
	0x00, 0x0C, 0x00, /*             ##           */

	/* @72 '$' (10 pixels wide) */
	0x06, 0x0E, 0x00, /*      ##     ###          */
	0x0C, 0x1F, 0x00, /*     ##     #####         */
	0x7C, 0x3F, 0x80, /*  #####    #######        */
	0x7F, 0xF9, 0x80, /*  ############  ##        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x7F, 0xE0, /*     ##   ##########      */
	0x0E, 0x61, 0xE0, /*     ###  ##    ####      */
	0x07, 0xE1, 0x80, /*      ######    ##        */
	0x07, 0xE3, 0x00, /*      ######   ##         */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @102 '%' (12 pixels wide) */
	0x08, 0x07, 0x80, /*     #        ####        */
	0x0C, 0x08, 0x40, /*     ##      #    #       */
	0x07, 0x08, 0x40, /*      ###    #    #       */
	0x03, 0x88, 0x40, /*       ###   #    #       */
	0x01, 0xC7, 0x80, /*        ###   ####        */
	0x00, 0x70, 0x00, /*          ###             */
	0x07, 0xB8, 0x00, /*      #### ###            */
	0x08, 0x4E, 0x00, /*     #    #  ###          */
	0x08, 0x47, 0x00, /*     #    #   ###         */
	0x08, 0x43, 0x80, /*     #    #    ###        */
	0x07, 0x80, 0xC0, /*      ####       ##       */
	0x00, 0x00, 0x40, /*                  #       */

	/* @138 '&' (12 pixels wide) */
	0x03, 0xC0, 0x00, /*       ####               */
	0x07, 0xE7, 0x00, /*      ######  ###         */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0E, 0x3F, 0xC0, /*     ###   ########       */
	0x0C, 0x78, 0xC0, /*     ##   ####   ##       */
	0x0C, 0xF8, 0xC0, /*     ##  #####   ##       */
	0x0D, 0xEF, 0xC0, /*     ## #### ######       */
	0x07, 0xCF, 0x80, /*      #####  #####        */
	0x07, 0xE7, 0x80, /*      ######  ####        */
	0x0F, 0xE0, 0x00, /*     #######              */
	0x0C, 0xE0, 0x00, /*     ##  ###              */
	0x08, 0x00, 0x00, /*     #                    */

	/* @174 ''' (3 pixels wide) */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x07, 0xC0, /*              #####       */

	/* @183 '(' (6 pixels wide) */
	0x03, 0xF8, 0x00, /*       #######            */
	0x0F, 0xFE, 0x00, /*     ###########          */
	0x3F, 0xFF, 0x00, /*   ##############         */
	0x7C, 0x07, 0xC0, /*  #####       #####       */
	0xF0, 0x01, 0xE0, /* ####           ####      */
	0x40, 0x00, 0x40, /*  #               #       */

	/* @201 ')' (6 pixels wide) */
	0x40, 0x00, 0x40, /*  #               #       */
	0xF0, 0x01, 0xE0, /* ####           ####      */
	0x7C, 0x07, 0xC0, /*  #####       #####       */
	0x1F, 0xFF, 0x80, /*    ##############        */
	0x0F, 0xFE, 0x00, /*     ###########          */
	0x03, 0xF8, 0x00, /*       #######            */

	/* @219 '*' (9 pixels wide) */
	0x00, 0x11, 0x00, /*            #   #         */
	0x00, 0x3B, 0x80, /*           ### ###        */
	0x00, 0x1B, 0x00, /*            ## ##         */
	0x00, 0x7F, 0xC0, /*          #########       */
	0x00, 0x7F, 0xC0, /*          #########       */
	0x00, 0x7F, 0xC0, /*          #########       */
	0x00, 0x1B, 0x00, /*            ## ##         */
	0x00, 0x1B, 0x00, /*            ## ##         */
	0x00, 0x11, 0x00, /*            #   #         */

	/* @246 '+' (11 pixels wide) */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */

	/* @279 ',' (6 pixels wide) */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC6, 0x00, 0x00, /* ##   ##                  */
	0x7E, 0x00, 0x00, /*  ######                  */
	0x7E, 0x00, 0x00, /*  ######                  */
	0x3C, 0x00, 0x00, /*   ####                   */

	/* @297 '-' (6 pixels wide) */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xC0, 0x00, /*         ##               */

	/* @315 '.' (4 pixels wide) */
	0x06, 0x00, 0x00, /*      ##                  */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x06, 0x00, 0x00, /*      ##                  */

	/* @327 '/' (9 pixels wide) */
	0x20, 0x00, 0x00, /*   #                      */
	0x38, 0x00, 0x00, /*   ###                    */
	0x3F, 0x00, 0x00, /*   ######                 */
	0x0F, 0xC0, 0x00, /*     ######               */
	0x01, 0xF0, 0x00, /*        #####             */
	0x00, 0x7E, 0x00, /*          ######          */
	0x00, 0x1F, 0x80, /*            ######        */
	0x00, 0x03, 0xC0, /*               ####       */
	0x00, 0x00, 0xC0, /*                 ##       */

	/* @354 '0' (11 pixels wide) */
	0x01, 0xFC, 0x00, /*        #######           */
	0x03, 0xFE, 0x00, /*       #########          */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x0F, 0xC7, 0x80, /*     ######   ####        */
	0x0C, 0x61, 0x80, /*     ##   ##    ##        */
	0x0C, 0x71, 0x80, /*     ##   ###   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0F, 0x1F, 0x80, /*     ####   ######        */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x03, 0xFF, 0x00, /*       ##########         */
	0x01, 0xFC, 0x00, /*        #######           */

	/* @387 '1' (9 pixels wide) */
	0x0C, 0x06, 0x00, /*     ##       ##          */
	0x0C, 0x03, 0x00, /*     ##        ##         */
	0x0C, 0x03, 0x00, /*     ##        ##         */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */

	/* @414 '2' (9 pixels wide) */
	0x0C, 0x01, 0x00, /*     ##         #         */
	0x0E, 0x03, 0x00, /*     ###       ##         */
	0x0F, 0x01, 0x80, /*     ####       ##        */
	0x0F, 0x81, 0x80, /*     #####      ##        */
	0x0D, 0xC1, 0x80, /*     ## ###     ##        */
	0x0C, 0xE3, 0x80, /*     ##  ###   ###        */
	0x0C, 0x7F, 0x80, /*     ##   ########        */
	0x0C, 0x3F, 0x00, /*     ##    ######         */
	0x0C, 0x1E, 0x00, /*     ##     ####          */

	/* @441 '3' (9 pixels wide) */
	0x06, 0x03, 0x00, /*      ##       ##         */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0E, 0x7F, 0x80, /*     ###  ########        */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x07, 0xEF, 0x00, /*      ###### ####         */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @468 '4' (11 pixels wide) */
	0x01, 0xC0, 0x00, /*        ###               */
	0x01, 0xE0, 0x00, /*        ####              */
	0x01, 0xF8, 0x00, /*        ######            */
	0x01, 0x9E, 0x00, /*        ##  ####          */
	0x01, 0x8F, 0x00, /*        ##   ####         */
	0x01, 0x83, 0x80, /*        ##     ###        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x01, 0x80, 0x00, /*        ##                */
	0x01, 0x80, 0x00, /*        ##                */

	/* @501 '5' (9 pixels wide) */
	0x0C, 0x3F, 0x80, /*     ##    #######        */
	0x0C, 0x3F, 0x80, /*     ##    #######        */
	0x0C, 0x3F, 0x80, /*     ##    #######        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0E, 0x71, 0x80, /*     ###  ###   ##        */
	0x07, 0xF1, 0x80, /*      #######   ##        */
	0x07, 0xE1, 0x80, /*      ######    ##        */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @528 '6' (10 pixels wide) */
	0x01, 0xF8, 0x00, /*        ######            */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x0F, 0xFF, 0x00, /*     ############         */
	0x0E, 0x67, 0x00, /*     ###  ##  ###         */
	0x0C, 0x33, 0x80, /*     ##    ##  ###        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0E, 0x31, 0x80, /*     ###   ##   ##        */
	0x0F, 0xF1, 0x80, /*     ########   ##        */
	0x07, 0xE1, 0x80, /*      ######    ##        */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @558 '7' (9 pixels wide) */
	0x00, 0x01, 0x80, /*                ##        */
	0x08, 0x01, 0x80, /*     #          ##        */
	0x0E, 0x01, 0x80, /*     ###        ##        */
	0x0F, 0x81, 0x80, /*     #####      ##        */
	0x07, 0xE1, 0x80, /*      ######    ##        */
	0x01, 0xFD, 0x80, /*        ####### ##        */
	0x00, 0x3F, 0x80, /*           #######        */
	0x00, 0x0F, 0x80, /*             #####        */
	0x00, 0x03, 0x80, /*               ###        */

	/* @585 '8' (10 pixels wide) */
	0x03, 0x8E, 0x00, /*       ###   ###          */
	0x07, 0xDF, 0x00, /*      ##### #####         */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x79, 0x80, /*     ##   ####  ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x71, 0x80, /*     ##   ###   ##        */
	0x0C, 0x79, 0x80, /*     ##   ####  ##        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x07, 0xDF, 0x00, /*      ##### #####         */
	0x03, 0x8F, 0x00, /*       ###   ####         */

	/* @615 '9' (10 pixels wide) */
	0x00, 0x1E, 0x00, /*            ####          */
	0x0C, 0x3F, 0x00, /*     ##    ######         */
	0x0C, 0x7F, 0x80, /*     ##   ########        */
	0x0C, 0x63, 0x80, /*     ##   ##   ###        */
	0x0C, 0x61, 0x80, /*     ##   ##    ##        */
	0x0E, 0x61, 0x80, /*     ###  ##    ##        */
	0x07, 0x23, 0x80, /*      ###  #   ###        */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x03, 0xFF, 0x00, /*       ##########         */
	0x00, 0xFC, 0x00, /*         ######           */

	/* @645 ':' (4 pixels wide) */
	0x06, 0x18, 0x00, /*      ##    ##            */
	0x0F, 0x3C, 0x00, /*     ####  ####           */
	0x0F, 0x3C, 0x00, /*     ####  ####           */
	0x06, 0x18, 0x00, /*      ##    ##            */

	/* @657 ';' (6 pixels wide) */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC6, 0x18, 0x00, /* ##   ##    ##            */
	0x7E, 0x3C, 0x00, /*  ######   ####           */
	0x7E, 0x3C, 0x00, /*  ######   ####           */
	0x3C, 0x18, 0x00, /*   ####     ##            */

	/* @675 '<' (8 pixels wide) */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0xF0, 0x00, /*         ####             */
	0x01, 0xF8, 0x00, /*        ######            */
	0x03, 0x9C, 0x00, /*       ###  ###           */
	0x07, 0x0E, 0x00, /*      ###    ###          */
	0x06, 0x06, 0x00, /*      ##      ##          */
	0x0E, 0x07, 0x00, /*     ###      ###         */
	0x04, 0x02, 0x00, /*      #        #          */

	/* @699 '=' (9 pixels wide) */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */
	0x01, 0x98, 0x00, /*        ##  ##            */

	/* @726 '>' (8 pixels wide) */
	0x04, 0x02, 0x00, /*      #        #          */
	0x0E, 0x07, 0x00, /*     ###      ###         */
	0x06, 0x06, 0x00, /*      ##      ##          */
	0x07, 0x0E, 0x00, /*      ###    ###          */
	0x03, 0x9C, 0x00, /*       ###  ###           */
	0x01, 0xF8, 0x00, /*        ######            */
	0x00, 0xF0, 0x00, /*         ####             */
	0x00, 0x60, 0x00, /*          ##              */

	/* @750 '?' (7 pixels wide) */
	0x0E, 0xF0, 0xC0, /*     ### ####    ##       */
	0x0E, 0xF0, 0xC0, /*     ### ####    ##       */
	0x0E, 0xF0, 0xC0, /*     ### ####    ##       */
	0x00, 0x39, 0xC0, /*           ###  ###       */
	0x00, 0x3F, 0x80, /*           #######        */
	0x00, 0x1F, 0x80, /*            ######        */
	0x00, 0x0F, 0x00, /*             ####         */

	/* @771 '@' (11 pixels wide) */
	0x0F, 0xF0, 0x00, /*     ########             */
	0x3F, 0xFC, 0x00, /*   ############           */
	0x70, 0x1F, 0x00, /*  ###       #####         */
	0xE3, 0xE3, 0x80, /* ###   #####   ###        */
	0xC7, 0xF9, 0xC0, /* ##   ########  ###       */
	0xC7, 0x98, 0xC0, /* ##   ####  ##   ##       */
	0xC3, 0xF8, 0xC0, /* ##    #######   ##       */
	0xC6, 0x78, 0xC0, /* ##   ##  ####   ##       */
	0x67, 0x03, 0x80, /*  ##  ###      ###        */
	0x07, 0xFF, 0x80, /*      ############        */
	0x01, 0xFE, 0x00, /*        ########          */

	/* @804 'A' (11 pixels wide) */
	0x0E, 0x00, 0x00, /*     ###                  */
	0x0F, 0xC0, 0x00, /*     ######               */
	0x03, 0xF8, 0x00, /*       #######            */
	0x01, 0xFF, 0x00, /*        #########         */
	0x01, 0x8F, 0x80, /*        ##   #####        */
	0x01, 0x81, 0x80, /*        ##      ##        */
	0x01, 0x8F, 0x80, /*        ##   #####        */
	0x01, 0xFF, 0x80, /*        ##########        */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xC0, 0x00, /*     ######               */
	0x0E, 0x00, 0x00, /*     ###                  */

	/* @837 'B' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0E, 0x7F, 0x80, /*     ###  ########        */
	0x0F, 0xFF, 0x00, /*     ############         */
	0x07, 0xEF, 0x00, /*      ###### ####         */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @867 'C' (9 pixels wide) */
	0x01, 0xF8, 0x00, /*        ######            */
	0x03, 0xFE, 0x00, /*       #########          */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x0F, 0x07, 0x80, /*     ####     ####        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x06, 0x03, 0x00, /*      ##       ##         */

	/* @894 'D' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x07, 0x03, 0x80, /*      ###      ###        */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x03, 0xFE, 0x00, /*       #########          */
	0x00, 0xFC, 0x00, /*         ######           */

	/* @924 'E' (8 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */

	/* @948 'F' (8 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x00, 0x61, 0x80, /*          ##    ##        */

	/* @972 'G' (11 pixels wide) */
	0x01, 0xF8, 0x00, /*        ######            */
	0x03, 0xFE, 0x00, /*       #########          */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x07, 0x07, 0x00, /*      ###     ###         */
	0x0E, 0x03, 0x80, /*     ###       ###        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0C, 0x31, 0x80, /*     ##    ##   ##        */
	0x0F, 0xF1, 0x80, /*     ########   ##        */
	0x0F, 0xF1, 0x80, /*     ########   ##        */
	0x07, 0xF3, 0x00, /*      #######  ##         */

	/* @1005 'H' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x30, 0x00, /*           ##             */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */

	/* @1035 'I' (9 pixels wide) */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */

	/* @1062 'J' (8 pixels wide) */
	0x06, 0x01, 0x80, /*      ##        ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0E, 0x01, 0x80, /*     ###        ##        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x07, 0xFF, 0x80, /*      ############        */
	0x03, 0xFF, 0x80, /*       ###########        */

	/* @1086 'K' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0xF8, 0x00, /*         #####            */
	0x03, 0xFE, 0x00, /*       #########          */
	0x07, 0x8F, 0x00, /*      ####   ####         */
	0x0F, 0x07, 0x80, /*     ####     ####        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x08, 0x00, 0x80, /*     #           #        */

	/* @1116 'L' (8 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */

	/* @1140 'M' (9 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x0F, 0x80, /*             #####        */
	0x00, 0xFE, 0x00, /*         #######          */
	0x00, 0xE0, 0x00, /*         ###              */
	0x00, 0x7E, 0x00, /*          ######          */
	0x00, 0x07, 0x80, /*              ####        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */

	/* @1167 'N' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x0F, 0x80, /*             #####        */
	0x00, 0x7E, 0x00, /*          ######          */
	0x03, 0xF0, 0x00, /*       ######             */
	0x0F, 0x80, 0x00, /*     #####                */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */

	/* @1197 'O' (11 pixels wide) */
	0x01, 0xFC, 0x00, /*        #######           */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x0E, 0x03, 0x80, /*     ###       ###        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0E, 0x03, 0x80, /*     ###       ###        */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x03, 0xFF, 0x00, /*       ##########         */
	0x01, 0xFC, 0x00, /*        #######           */

	/* @1230 'P' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0xC1, 0x80, /*         ##     ##        */
	0x00, 0xC1, 0x80, /*         ##     ##        */
	0x00, 0xC1, 0x80, /*         ##     ##        */
	0x00, 0xE3, 0x80, /*         ###   ###        */
	0x00, 0x7F, 0x00, /*          #######         */
	0x00, 0x7F, 0x00, /*          #######         */
	0x00, 0x1E, 0x00, /*            ####          */

	/* @1260 'Q' (11 pixels wide) */
	0x01, 0xF8, 0x00, /*        ######            */
	0x07, 0xFE, 0x00, /*      ##########          */
	0x07, 0xFF, 0x00, /*      ###########         */
	0x0E, 0x03, 0x80, /*     ###       ###        */
	0x3C, 0x01, 0x80, /*   ####         ##        */
	0x7C, 0x01, 0x80, /*  #####         ##        */
	0xFC, 0x01, 0x80, /* ######         ##        */
	0xEE, 0x03, 0x80, /* ### ###       ###        */
	0xC7, 0xFF, 0x00, /* ##   ###########         */
	0xC3, 0xFF, 0x00, /* ##    ##########         */
	0x41, 0xFC, 0x00, /*  #     #######           */

	/* @1293 'R' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x00, 0x61, 0x80, /*          ##    ##        */
	0x01, 0xF1, 0x80, /*        #####   ##        */
	0x07, 0xFF, 0x80, /*      ############        */
	0x0F, 0xBF, 0x00, /*     ##### ######         */
	0x0E, 0x1E, 0x00, /*     ###    ####          */
	0x08, 0x00, 0x00, /*     #                    */

	/* @1323 'S' (10 pixels wide) */
	0x06, 0x0E, 0x00, /*      ##     ###          */
	0x0C, 0x1F, 0x00, /*     ##     #####         */
	0x0C, 0x3F, 0x80, /*     ##    #######        */
	0x0C, 0x39, 0x80, /*     ##    ###  ##        */
	0x0C, 0x71, 0x80, /*     ##   ###   ##        */
	0x0C, 0x71, 0x80, /*     ##   ###   ##        */
	0x0E, 0x71, 0x80, /*     ###  ###   ##        */
	0x07, 0xE1, 0x80, /*      ######    ##        */
	0x07, 0xE3, 0x00, /*      ######   ##         */
	0x03, 0xC0, 0x00, /*       ####               */

	/* @1353 'T' (11 pixels wide) */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x80, /*                ##        */

	/* @1386 'U' (10 pixels wide) */
	0x03, 0xFF, 0x80, /*       ###########        */
	0x07, 0xFF, 0x80, /*      ############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0E, 0x00, 0x00, /*     ###                  */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0E, 0x00, 0x00, /*     ###                  */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x07, 0xFF, 0x80, /*      ############        */
	0x03, 0xFF, 0x80, /*       ###########        */

	/* @1416 'V' (11 pixels wide) */
	0x00, 0x03, 0x80, /*               ###        */
	0x00, 0x1F, 0x80, /*            ######        */
	0x00, 0xFF, 0x80, /*         #########        */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xC0, 0x00, /*     ######               */
	0x0E, 0x00, 0x00, /*     ###                  */
	0x0F, 0xC0, 0x00, /*     ######               */
	0x07, 0xF8, 0x00, /*      ########            */
	0x00, 0xFF, 0x00, /*         ########         */
	0x00, 0x1F, 0x80, /*            ######        */
	0x00, 0x03, 0x80, /*               ###        */

	/* @1449 'W' (10 pixels wide) */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x01, 0xF0, 0x00, /*        #####             */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0xF8, 0x00, /*         #####            */
	0x07, 0xC0, 0x00, /*      #####               */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */

	/* @1479 'X' (11 pixels wide) */
	0x08, 0x00, 0x80, /*     #           #        */
	0x0E, 0x01, 0x80, /*     ###        ##        */
	0x0F, 0x07, 0x80, /*     ####     ####        */
	0x07, 0xCF, 0x00, /*      #####  ####         */
	0x01, 0xFF, 0x00, /*        #########         */
	0x00, 0x7E, 0x00, /*          ######          */
	0x01, 0xFE, 0x00, /*        ########          */
	0x03, 0xCF, 0x00, /*       ####  ####         */
	0x0F, 0x87, 0x80, /*     #####    ####        */
	0x0E, 0x01, 0x80, /*     ###        ##        */
	0x0C, 0x00, 0x80, /*     ##          #        */

	/* @1512 'Y' (11 pixels wide) */
	0x00, 0x00, 0x80, /*                 #        */
	0x00, 0x03, 0x80, /*               ###        */
	0x00, 0x0F, 0x80, /*             #####        */
	0x00, 0x3F, 0x00, /*           ######         */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xE0, 0x00, /*     #######              */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x00, 0x3F, 0x00, /*           ######         */
	0x00, 0x0F, 0x80, /*             #####        */
	0x00, 0x03, 0x80, /*               ###        */
	0x00, 0x00, 0x80, /*                 #        */

	/* @1545 'Z' (9 pixels wide) */
	0x0C, 0x01, 0x80, /*     ##         ##        */
	0x0F, 0x01, 0x80, /*     ####       ##        */
	0x0F, 0x81, 0x80, /*     #####      ##        */
	0x0D, 0xE1, 0x80, /*     ## ####    ##        */
	0x0C, 0xF9, 0x80, /*     ##  #####  ##        */
	0x0C, 0x3D, 0x80, /*     ##    #### ##        */
	0x0C, 0x0F, 0x80, /*     ##      #####        */
	0x0C, 0x07, 0x80, /*     ##       ####        */
	0x0C, 0x01, 0x80, /*     ##         ##        */

	/* @1572 '[' (6 pixels wide) */
	0xFF, 0xFF, 0xE0, /* ###################      */
	0xFF, 0xFF, 0xE0, /* ###################      */
	0xFF, 0xFF, 0xE0, /* ###################      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */

	/* @1590 '\' (10 pixels wide) */
	0x00, 0x00, 0x40, /*                  #       */
	0x00, 0x01, 0xC0, /*                ###       */
	0x00, 0x07, 0xC0, /*              #####       */
	0x00, 0x1F, 0x00, /*            #####         */
	0x00, 0xFC, 0x00, /*         ######           */
	0x03, 0xF0, 0x00, /*       ######             */
	0x0F, 0x80, 0x00, /*     #####                */
	0x3E, 0x00, 0x00, /*   #####                  */
	0x38, 0x00, 0x00, /*   ###                    */
	0x20, 0x00, 0x00, /*   #                      */

	/* @1620 ']' (6 pixels wide) */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xFF, 0xFF, 0xE0, /* ###################      */
	0xFF, 0xFF, 0xE0, /* ###################      */
	0xFF, 0xFF, 0xE0, /* ###################      */

	/* @1638 '^' (9 pixels wide) */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x3C, 0x00, /*           ####           */
	0x00, 0x3E, 0x00, /*           #####          */
	0x00, 0x07, 0x80, /*              ####        */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x07, 0x80, /*              ####        */
	0x00, 0x3E, 0x00, /*           #####          */
	0x00, 0x38, 0x00, /*           ###            */
	0x00, 0x30, 0x00, /*           ##             */

	/* @1665 '_' (12 pixels wide) */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */
	0xC0, 0x00, 0x00, /* ##                       */

	/* @1701 '`' (5 pixels wide) */
	0x00, 0x00, 0x40, /*                  #       */
	0x00, 0x00, 0xC0, /*                 ##       */
	0x00, 0x01, 0xC0, /*                ###       */
	0x00, 0x01, 0x80, /*                ##        */
	0x00, 0x01, 0x00, /*                #         */

	/* @1716 'a' (9 pixels wide) */
	0x07, 0x00, 0x00, /*      ###                 */
	0x0F, 0x98, 0x00, /*     #####  ##            */
	0x0F, 0xCC, 0x00, /*     ######  ##           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x06, 0xCC, 0x00, /*      ## ##  ##           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0F, 0xF8, 0x00, /*     #########            */

	/* @1743 'b' (10 pixels wide) */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0C, 0x18, 0x00, /*     ##     ##            */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x07, 0xFC, 0x00, /*      #########           */
	0x07, 0xF8, 0x00, /*      ########            */
	0x01, 0xF0, 0x00, /*        #####             */

	/* @1773 'c' (8 pixels wide) */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x06, 0x18, 0x00, /*      ##    ##            */

	/* @1797 'd' (10 pixels wide) */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x06, 0x0C, 0x00, /*      ##     ##           */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */

	/* @1827 'e' (10 pixels wide) */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0E, 0xDC, 0x00, /*     ### ## ###           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x0C, 0xDC, 0x00, /*     ##  ## ###           */
	0x0C, 0xFC, 0x00, /*     ##  ######           */
	0x06, 0xF8, 0x00, /*      ## #####            */
	0x00, 0xF0, 0x00, /*         ####             */

	/* @1857 'f' (10 pixels wide) */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0x18, 0x00, /*            ##            */
	0x0F, 0xFF, 0x00, /*     ############         */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x00, 0x18, 0xC0, /*            ##   ##       */
	0x00, 0x18, 0xC0, /*            ##   ##       */
	0x00, 0x18, 0xC0, /*            ##   ##       */
	0x00, 0x00, 0xC0, /*                 ##       */

	/* @1887 'g' (10 pixels wide) */
	0x76, 0x00, 0x00, /*  ### ##                  */
	0x77, 0x70, 0x00, /*  ### ### ###             */
	0xFF, 0xF8, 0x00, /* #############            */
	0xCD, 0xFC, 0x00, /* ##  ## #######           */
	0xCD, 0x8C, 0x00, /* ##  ## ##   ##           */
	0xCD, 0x8C, 0x00, /* ##  ## ##   ##           */
	0xCD, 0xFC, 0x00, /* ##  ## #######           */
	0xFC, 0xFC, 0x00, /* ######  ######           */
	0x7C, 0x7C, 0x00, /*  #####   #####           */
	0x38, 0x0C, 0x00, /*   ###       ##           */

	/* @1917 'h' (9 pixels wide) */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xF8, 0x00, /*     #########            */

	/* @1944 'i' (9 pixels wide) */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0F, 0xFD, 0xC0, /*     ########## ###       */
	0x0F, 0xFD, 0xC0, /*     ########## ###       */
	0x0F, 0xFD, 0xC0, /*     ########## ###       */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */

	/* @1971 'j' (8 pixels wide) */
	0x60, 0x0C, 0x00, /*  ##         ##           */
	0xC0, 0x0C, 0x00, /* ##          ##           */
	0xC0, 0x0C, 0x00, /* ##          ##           */
	0xC0, 0x0C, 0x00, /* ##          ##           */
	0xE0, 0x0C, 0x00, /* ###         ##           */
	0xFF, 0xFD, 0xC0, /* ############## ###       */
	0x7F, 0xFD, 0xC0, /*  ############# ###       */
	0x3F, 0xFD, 0xC0, /*   ############ ###       */

	/* @1995 'k' (9 pixels wide) */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x00, 0xE0, 0x00, /*         ###              */
	0x01, 0xF0, 0x00, /*        #####             */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x04, 0x00, /*     ##       #           */

	/* @2022 'l' (9 pixels wide) */
	0x0C, 0x00, 0xC0, /*     ##          ##       */
	0x0C, 0x00, 0xC0, /*     ##          ##       */
	0x0C, 0x00, 0xC0, /*     ##          ##       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0F, 0xFF, 0xC0, /*     ##############       */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */

	/* @2049 'm' (11 pixels wide) */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x00, 0x0C, 0x00, /*             ##           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xF8, 0x00, /*     #########            */

	/* @2082 'n' (9 pixels wide) */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xF8, 0x00, /*     #########            */

	/* @2109 'o' (10 pixels wide) */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x07, 0xFC, 0x00, /*      #########           */
	0x07, 0xF8, 0x00, /*      ########            */
	0x01, 0xF0, 0x00, /*        #####             */

	/* @2139 'p' (10 pixels wide) */
	0xFF, 0xFC, 0x00, /* ##############           */
	0xFF, 0xFC, 0x00, /* ##############           */
	0xFF, 0xFC, 0x00, /* ##############           */
	0x0C, 0x18, 0x00, /*     ##     ##            */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x07, 0xFC, 0x00, /*      #########           */
	0x07, 0xF8, 0x00, /*      ########            */
	0x01, 0xF0, 0x00, /*        #####             */

	/* @2169 'q' (10 pixels wide) */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0F, 0xF8, 0x00, /*     #########            */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x06, 0x0C, 0x00, /*      ##     ##           */
	0xFF, 0xFC, 0x00, /* ##############           */
	0xFF, 0xFC, 0x00, /* ##############           */
	0xFF, 0xFC, 0x00, /* ##############           */

	/* @2199 'r' (9 pixels wide) */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x00, 0x18, 0x00, /*            ##            */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x3C, 0x00, /*           ####           */
	0x00, 0x3C, 0x00, /*           ####           */
	0x00, 0x38, 0x00, /*           ###            */

	/* @2226 's' (9 pixels wide) */
	0x06, 0x38, 0x00, /*      ##   ###            */
	0x0C, 0x78, 0x00, /*     ##   ####            */
	0x0C, 0xFC, 0x00, /*     ##  ######           */
	0x0C, 0xEC, 0x00, /*     ##  ### ##           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x0C, 0xCC, 0x00, /*     ##  ##  ##           */
	0x0F, 0xCC, 0x00, /*     ######  ##           */
	0x07, 0x98, 0x00, /*      ####  ##            */
	0x03, 0x80, 0x00, /*       ###                */

	/* @2253 't' (10 pixels wide) */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x0C, 0x00, /*             ##           */
	0x07, 0xFF, 0x80, /*      ############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0F, 0xFF, 0x80, /*     #############        */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */

	/* @2283 'u' (9 pixels wide) */
	0x07, 0xFC, 0x00, /*      #########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x06, 0x00, 0x00, /*      ##                  */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0xFC, 0x00, /*     ##########           */

	/* @2310 'v' (11 pixels wide) */
	0x00, 0x0C, 0x00, /*             ##           */
	0x00, 0x3C, 0x00, /*           ####           */
	0x01, 0xF8, 0x00, /*        ######            */
	0x07, 0xE0, 0x00, /*      ######              */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x0C, 0x00, 0x00, /*     ##                   */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x07, 0xE0, 0x00, /*      ######              */
	0x01, 0xF8, 0x00, /*        ######            */
	0x00, 0x3C, 0x00, /*           ####           */
	0x00, 0x0C, 0x00, /*             ##           */

	/* @2343 'w' (11 pixels wide) */
	0x01, 0xFC, 0x00, /*        #######           */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x03, 0xE0, 0x00, /*       #####              */
	0x00, 0x60, 0x00, /*          ##              */
	0x03, 0xE0, 0x00, /*       #####              */
	0x0F, 0x00, 0x00, /*     ####                 */
	0x0E, 0x00, 0x00, /*     ###                  */
	0x0F, 0xFC, 0x00, /*     ##########           */
	0x01, 0xFC, 0x00, /*        #######           */

	/* @2376 'x' (10 pixels wide) */
	0x08, 0x04, 0x00, /*     #        #           */
	0x0E, 0x0C, 0x00, /*     ###     ##           */
	0x0F, 0x3C, 0x00, /*     ####  ####           */
	0x03, 0xF8, 0x00, /*       #######            */
	0x00, 0xE0, 0x00, /*         ###              */
	0x03, 0xE0, 0x00, /*       #####              */
	0x07, 0xF8, 0x00, /*      ########            */
	0x0E, 0x1C, 0x00, /*     ###    ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x08, 0x04, 0x00, /*     #        #           */

	/* @2406 'y' (11 pixels wide) */
	0xC0, 0x0C, 0x00, /* ##          ##           */
	0xC0, 0x3C, 0x00, /* ##        ####           */
	0xC1, 0xF8, 0x00, /* ##     ######            */
	0xE7, 0xE0, 0x00, /* ###  ######              */
	0x7F, 0x00, 0x00, /*  #######                 */
	0x3E, 0x00, 0x00, /*   #####                  */
	0x0F, 0x80, 0x00, /*     #####                */
	0x03, 0xE0, 0x00, /*       #####              */
	0x00, 0xF8, 0x00, /*         #####            */
	0x00, 0x3C, 0x00, /*           ####           */
	0x00, 0x0C, 0x00, /*             ##           */

	/* @2439 'z' (8 pixels wide) */
	0x0C, 0x0C, 0x00, /*     ##      ##           */
	0x0E, 0x0C, 0x00, /*     ###     ##           */
	0x0F, 0x8C, 0x00, /*     #####   ##           */
	0x0F, 0xCC, 0x00, /*     ######  ##           */
	0x0C, 0xFC, 0x00, /*     ##  ######           */
	0x0C, 0x7C, 0x00, /*     ##   #####           */
	0x0C, 0x1C, 0x00, /*     ##     ###           */
	0x0C, 0x0C, 0x00, /*     ##      ##           */

	/* @2463 '{' (9 pixels wide) */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0xE0, 0x00, /*         ###              */
	0x3F, 0xFF, 0x80, /*   ###############        */
	0x7F, 0xFF, 0xC0, /*  #################       */
	0xFF, 0x9F, 0xE0, /* #########  ########      */
	0xE0, 0x00, 0xE0, /* ###             ###      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */

	/* @2490 '|' (3 pixels wide) */
	0xFF, 0xFF, 0xF8, /* #####################    */
	0xFF, 0xFF, 0xF8, /* #####################    */
	0xFF, 0xFF, 0xF8, /* #####################    */

	/* @2499 '}' (9 pixels wide) */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xC0, 0x00, 0x60, /* ##               ##      */
	0xE0, 0x00, 0xE0, /* ###             ###      */
	0xFF, 0x9F, 0xE0, /* #########  ########      */
	0x7F, 0xFF, 0xC0, /*  #################       */
	0x3F, 0xFF, 0x80, /*   ###############        */
	0x00, 0x70, 0x00, /*          ###             */
	0x00, 0x60, 0x00, /*          ##              */
	0x00, 0x60, 0x00, /*          ##              */

	/* @2526 '~' (11 pixels wide) */
	0x00, 0xC0, 0x00, /*         ##               */
	0x00, 0xF0, 0x00, /*         ####             */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x30, 0x00, /*           ##             */
	0x00, 0x70, 0x00, /*          ###             */
	0x00, 0xE0, 0x00, /*         ###              */
	0x01, 0xC0, 0x00, /*        ###               */
	0x01, 0x80, 0x00, /*        ##                */
	0x01, 0x80, 0x00, /*        ##                */
	0x01, 0xE0, 0x00, /*        ####              */
	0x00, 0x60, 0x00, /*          ##              */
};

/* Character descriptors for Consolas 16pt */
/* { [Char width in bits], [Offset into consolas16ptCharBitmaps in bytes] } */
const FONT_CHAR_INFO consolas16ptCharDescriptors[] =
{
	{2, 0}, 		/*   */
	{3, 6}, 		/* ! */
	{8, 15}, 		/* " */
	{11, 39}, 		/* # */
	{10, 72}, 		/* $ */
	{12, 102}, 		/* % */
	{12, 138}, 		/* & */
	{3, 174}, 		/* ' */
	{6, 183}, 		/* ( */
	{6, 201}, 		/* ) */
	{9, 219}, 		/* * */
	{11, 246}, 		/* + */
	{6, 279}, 		/* , */
	{6, 297}, 		/* - */
	{4, 315}, 		/* . */
	{9, 327}, 		/* / */
	{11, 354}, 		/* 0 */
	{9, 387}, 		/* 1 */
	{9, 414}, 		/* 2 */
	{9, 441}, 		/* 3 */
	{11, 468}, 		/* 4 */
	{9, 501}, 		/* 5 */
	{10, 528}, 		/* 6 */
	{9, 558}, 		/* 7 */
	{10, 585}, 		/* 8 */
	{10, 615}, 		/* 9 */
	{4, 645}, 		/* : */
	{6, 657}, 		/* ; */
	{8, 675}, 		/* < */
	{9, 699}, 		/* = */
	{8, 726}, 		/* > */
	{7, 750}, 		/* ? */
	{11, 771}, 		/* @ */
	{11, 804}, 		/* A */
	{10, 837}, 		/* B */
	{9, 867}, 		/* C */
	{10, 894}, 		/* D */
	{8, 924}, 		/* E */
	{8, 948}, 		/* F */
	{11, 972}, 		/* G */
	{10, 1005}, 		/* H */
	{9, 1035}, 		/* I */
	{8, 1062}, 		/* J */
	{10, 1086}, 		/* K */
	{8, 1116}, 		/* L */
	{9, 1140}, 		/* M */
	{10, 1167}, 		/* N */
	{11, 1197}, 		/* O */
	{10, 1230}, 		/* P */
	{11, 1260}, 		/* Q */
	{10, 1293}, 		/* R */
	{10, 1323}, 		/* S */
	{11, 1353}, 		/* T */
	{10, 1386}, 		/* U */
	{11, 1416}, 		/* V */
	{10, 1449}, 		/* W */
	{11, 1479}, 		/* X */
	{11, 1512}, 		/* Y */
	{9, 1545}, 		/* Z */
	{6, 1572}, 		/* [ */
	{10, 1590}, 		/* \ */
	{6, 1620}, 		/* ] */
	{9, 1638}, 		/* ^ */
	{12, 1665}, 		/* _ */
	{5, 1701}, 		/* ` */
	{9, 1716}, 		/* a */
	{10, 1743}, 		/* b */
	{8, 1773}, 		/* c */
	{10, 1797}, 		/* d */
	{10, 1827}, 		/* e */
	{10, 1857}, 		/* f */
	{10, 1887}, 		/* g */
	{9, 1917}, 		/* h */
	{9, 1944}, 		/* i */
	{8, 1971}, 		/* j */
	{9, 1995}, 		/* k */
	{9, 2022}, 		/* l */
	{11, 2049}, 		/* m */
	{9, 2082}, 		/* n */
	{10, 2109}, 		/* o */
	{10, 2139}, 		/* p */
	{10, 2169}, 		/* q */
	{9, 2199}, 		/* r */
	{9, 2226}, 		/* s */
	{10, 2253}, 		/* t */
	{9, 2283}, 		/* u */
	{11, 2310}, 		/* v */
	{11, 2343}, 		/* w */
	{10, 2376}, 		/* x */
	{11, 2406}, 		/* y */
	{8, 2439}, 		/* z */
	{9, 2463}, 		/* { */
	{3, 2490}, 		/* | */
	{9, 2499}, 		/* } */
	{11, 2526}, 		/* ~ */
};

/* Font information for Consolas 16pt */
const FONT_INFO consolas16ptFontInfo =
{
	3, /*  Character height */
	' ', /*  Start character */
	consolas16ptCharDescriptors, /*  Character decriptor array */
	consolas16ptCharBitmaps, /*  Character bitmap array */
};
