/**************************************************************************/
/*! 
    @file     consolas11.h
    @author   K. Townsend (microBuilder.eu)
    @date     22 March 2010
    @version  0.10

    @section LICENSE

    Software License Agreement (BSD License)

    Copyright (c) 2010, microBuilder SARL
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:
    1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    3. Neither the name of the copyright holders nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/**************************************************************************/
#include "consolas9.h"

/* 
**  Font data for Consolas 9pt
*/

/* Character bitmaps for Consolas 9pt */
const uint8_t consolas9ptCharBitmaps[] = 
{
	/* @0 ' ' (2 pixels wide) */
	0x00, 0x00, /*                  */
	0x00, 0x00, /*                  */

	/* @4 '!' (2 pixels wide) */
	0x37, 0xC0, /*   ## #####       */
	0x30, 0x00, /*   ##             */

	/* @8 '"' (3 pixels wide) */
	0x01, 0xC0, /*        ###       */
	0x00, 0x00, /*                  */
	0x01, 0xC0, /*        ###       */

	/* @14 '#' (6 pixels wide) */
	0x09, 0x00, /*     #  #         */
	0x3D, 0x00, /*   #### #         */
	0x0B, 0xC0, /*     # ####       */
	0x3D, 0x00, /*   #### #         */
	0x0B, 0xC0, /*     # ####       */
	0x09, 0x00, /*     #  #         */

	/* @26 '$' (5 pixels wide) */
	0x21, 0x80, /*   #    ##        */
	0x72, 0x40, /*  ###  #  #       */
	0x2F, 0xE0, /*   # #######      */
	0x24, 0x40, /*   #  #   #       */
	0x18, 0x00, /*    ##            */

	/* @36 '%' (7 pixels wide) */
	0x23, 0xC0, /*   #   ####       */
	0x12, 0x40, /*    #  #  #       */
	0x0B, 0xC0, /*     # ####       */
	0x3E, 0x00, /*   #####          */
	0x25, 0x00, /*   #  # #         */
	0x3C, 0x80, /*   ####  #        */
	0x00, 0x40, /*          #       */

	/* @50 '&' (7 pixels wide) */
	0x18, 0x00, /*    ##            */
	0x25, 0x80, /*   #  # ##        */
	0x22, 0x40, /*   #   #  #       */
	0x2E, 0x40, /*   # ###  #       */
	0x39, 0xC0, /*   ###  ###       */
	0x3C, 0x00, /*   ####           */
	0x20, 0x00, /*   #              */

	/* @64 ''' (1 pixels wide) */
	0x01, 0xC0, /*        ###       */

	/* @66 '(' (3 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x60, 0xC0, /*  ##     ##       */
	0x80, 0x20, /* #         #      */

	/* @72 ')' (3 pixels wide) */
	0x80, 0x20, /* #         #      */
	0x60, 0xC0, /*  ##     ##       */
	0x1F, 0x00, /*    #####         */

	/* @78 '*' (5 pixels wide) */
	0x02, 0x80, /*       # #        */
	0x01, 0x00, /*        #         */
	0x07, 0xC0, /*      #####       */
	0x01, 0x00, /*        #         */
	0x02, 0x80, /*       # #        */

	/* @88 '+' (5 pixels wide) */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */
	0x1F, 0x00, /*    #####         */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */

	/* @98 ',' (3 pixels wide) */
	0x80, 0x00, /* #                */
	0xF0, 0x00, /* ####             */
	0x70, 0x00, /*  ###             */

	/* @104 '-' (4 pixels wide) */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */

	/* @112 '.' (2 pixels wide) */
	0x30, 0x00, /*   ##             */
	0x30, 0x00, /*   ##             */

	/* @116 '/' (5 pixels wide) */
	0x40, 0x00, /*  #               */
	0x30, 0x00, /*   ##             */
	0x0E, 0x00, /*     ###          */
	0x01, 0x80, /*        ##        */
	0x00, 0x40, /*          #       */

	/* @126 '0' (6 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x38, 0xC0, /*   ###   ##       */
	0x24, 0x40, /*   #  #   #       */
	0x22, 0x40, /*   #   #  #       */
	0x31, 0xC0, /*   ##   ###       */
	0x0F, 0x80, /*     #####        */

	/* @138 '1' (5 pixels wide) */
	0x20, 0x80, /*   #     #        */
	0x20, 0x40, /*   #      #       */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */

	/* @148 '2' (5 pixels wide) */
	0x20, 0x80, /*   #     #        */
	0x30, 0x40, /*   ##     #       */
	0x28, 0x40, /*   # #    #       */
	0x24, 0x40, /*   #  #   #       */
	0x23, 0x80, /*   #   ###        */

	/* @158 '3' (5 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x1D, 0x80, /*    ### ##        */

	/* @168 '4' (6 pixels wide) */
	0x0C, 0x00, /*     ##           */
	0x0A, 0x00, /*     # #          */
	0x09, 0x00, /*     #  #         */
	0x08, 0xC0, /*     #   ##       */
	0x3F, 0xC0, /*   ########       */
	0x08, 0x00, /*     #            */

	/* @180 '5' (5 pixels wide) */
	0x23, 0xC0, /*   #   ####       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x32, 0x40, /*   ##  #  #       */
	0x1C, 0x40, /*    ###   #       */

	/* @190 '6' (5 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x22, 0xC0, /*   #   # ##       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x1C, 0x00, /*    ###           */

	/* @200 '7' (5 pixels wide) */
	0x00, 0x40, /*          #       */
	0x30, 0x40, /*   ##     #       */
	0x1C, 0x40, /*    ###   #       */
	0x03, 0x40, /*       ## #       */
	0x00, 0xC0, /*         ##       */

	/* @210 '8' (5 pixels wide) */
	0x1D, 0x80, /*    ### ##        */
	0x27, 0x40, /*   #  ### #       */
	0x22, 0x40, /*   #   #  #       */
	0x26, 0x40, /*   #  ##  #       */
	0x1D, 0x80, /*    ### ##        */

	/* @220 '9' (5 pixels wide) */
	0x23, 0x80, /*   #   ###        */
	0x24, 0x40, /*   #  #   #       */
	0x24, 0x40, /*   #  #   #       */
	0x14, 0x40, /*    # #   #       */
	0x0F, 0x80, /*     #####        */

	/* @230 ':' (2 pixels wide) */
	0x33, 0x00, /*   ##  ##         */
	0x33, 0x00, /*   ##  ##         */

	/* @234 ';' (3 pixels wide) */
	0x80, 0x00, /* #                */
	0xF3, 0x00, /* ####  ##         */
	0x73, 0x00, /*  ###  ##         */

	/* @240 '<' (5 pixels wide) */
	0x04, 0x00, /*      #           */
	0x0A, 0x00, /*     # #          */
	0x11, 0x00, /*    #   #         */
	0x11, 0x00, /*    #   #         */
	0x20, 0x80, /*   #     #        */

	/* @250 '=' (5 pixels wide) */
	0x0A, 0x00, /*     # #          */
	0x0A, 0x00, /*     # #          */
	0x0A, 0x00, /*     # #          */
	0x0A, 0x00, /*     # #          */
	0x0A, 0x00, /*     # #          */

	/* @260 '>' (5 pixels wide) */
	0x20, 0x80, /*   #     #        */
	0x11, 0x00, /*    #   #         */
	0x11, 0x00, /*    #   #         */
	0x0A, 0x00, /*     # #          */
	0x04, 0x00, /*      #           */

	/* @270 '?' (4 pixels wide) */
	0x34, 0x40, /*   ## #   #       */
	0x34, 0x40, /*   ## #   #       */
	0x04, 0x80, /*      #  #        */
	0x03, 0x80, /*       ###        */

	/* @278 '@' (7 pixels wide) */
	0x3E, 0x00, /*   #####          */
	0xC1, 0x80, /* ##     ##        */
	0x9C, 0xC0, /* #  ###  ##       */
	0x92, 0x40, /* #  #  #  #       */
	0x9E, 0x40, /* #  ####  #       */
	0x10, 0xC0, /*    #    ##       */
	0x0F, 0x80, /*     #####        */

	/* @292 'A' (5 pixels wide) */
	0x3C, 0x00, /*   ####           */
	0x0B, 0x80, /*     # ###        */
	0x08, 0x40, /*     #    #       */
	0x0B, 0x80, /*     # ###        */
	0x3C, 0x00, /*   ####           */

	/* @302 'B' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x1D, 0x80, /*    ### ##        */

	/* @312 'C' (5 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x30, 0x80, /*   ##    #        */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */

	/* @322 'D' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x30, 0xC0, /*   ##    ##       */
	0x0F, 0x80, /*     #####        */

	/* @332 'E' (4 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */

	/* @340 'F' (4 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x02, 0x40, /*       #  #       */
	0x02, 0x40, /*       #  #       */
	0x02, 0x40, /*       #  #       */

	/* @348 'G' (6 pixels wide) */
	0x0F, 0x00, /*     ####         */
	0x10, 0x80, /*    #    #        */
	0x20, 0x40, /*   #      #       */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x3E, 0x40, /*   #####  #       */

	/* @360 'H' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x3F, 0xC0, /*   ########       */

	/* @370 'I' (5 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */

	/* @380 'J' (4 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x1F, 0xC0, /*    #######       */

	/* @388 'K' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x06, 0x00, /*      ##          */
	0x09, 0x00, /*     #  #         */
	0x10, 0x80, /*    #    #        */
	0x20, 0x40, /*   #      #       */

	/* @398 'L' (4 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */

	/* @406 'M' (6 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x03, 0x00, /*       ##         */
	0x04, 0x00, /*      #           */
	0x03, 0x00, /*       ##         */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x00, /*   #              */

	/* @418 'N' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x01, 0xC0, /*        ###       */
	0x06, 0x00, /*      ##          */
	0x38, 0x00, /*   ###            */
	0x3F, 0xC0, /*   ########       */

	/* @428 'O' (6 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x30, 0xC0, /*   ##    ##       */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x30, 0xC0, /*   ##    ##       */
	0x0F, 0x80, /*     #####        */

	/* @440 'P' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x04, 0x40, /*      #   #       */
	0x04, 0x40, /*      #   #       */
	0x04, 0x40, /*      #   #       */
	0x03, 0x80, /*       ###        */

	/* @450 'Q' (6 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x30, 0xC0, /*   ##    ##       */
	0x60, 0x40, /*  ##      #       */
	0xA0, 0x40, /* # #      #       */
	0xB0, 0xC0, /* # ##    ##       */
	0x8F, 0x80, /* #   #####        */

	/* @462 'R' (6 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x04, 0x40, /*      #   #       */
	0x04, 0x40, /*      #   #       */
	0x0C, 0x40, /*     ##   #       */
	0x3B, 0x80, /*   ### ###        */
	0x20, 0x00, /*   #              */

	/* @474 'S' (5 pixels wide) */
	0x21, 0x80, /*   #    ##        */
	0x22, 0x40, /*   #   #  #       */
	0x22, 0x40, /*   #   #  #       */
	0x24, 0x40, /*   #  #   #       */
	0x18, 0x40, /*    ##    #       */

	/* @484 'T' (5 pixels wide) */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */
	0x3F, 0xC0, /*   ########       */
	0x00, 0x40, /*          #       */
	0x00, 0x40, /*          #       */

	/* @494 'U' (5 pixels wide) */
	0x1F, 0xC0, /*    #######       */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */
	0x1F, 0xC0, /*    #######       */

	/* @504 'V' (5 pixels wide) */
	0x03, 0xC0, /*       ####       */
	0x1E, 0x00, /*    ####          */
	0x20, 0x00, /*   #              */
	0x1E, 0x00, /*    ####          */
	0x01, 0xC0, /*        ###       */

	/* @514 'W' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x1C, 0x00, /*    ###           */
	0x02, 0x00, /*       #          */
	0x1C, 0x00, /*    ###           */
	0x3F, 0xC0, /*   ########       */

	/* @524 'X' (7 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x30, 0xC0, /*   ##    ##       */
	0x0F, 0x00, /*     ####         */
	0x07, 0x00, /*      ###         */
	0x09, 0xC0, /*     #  ###       */
	0x30, 0x40, /*   ##     #       */
	0x20, 0x00, /*   #              */

	/* @538 'Y' (7 pixels wide) */
	0x00, 0x40, /*          #       */
	0x01, 0x80, /*        ##        */
	0x03, 0x00, /*       ##         */
	0x3C, 0x00, /*   ####           */
	0x03, 0x00, /*       ##         */
	0x01, 0x80, /*        ##        */
	0x00, 0x40, /*          #       */

	/* @552 'Z' (5 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x38, 0x40, /*   ###    #       */
	0x26, 0x40, /*   #  ##  #       */
	0x21, 0xC0, /*   #    ###       */
	0x20, 0x40, /*   #      #       */

	/* @562 '[' (3 pixels wide) */
	0xFF, 0xC0, /* ##########       */
	0x80, 0x40, /* #        #       */
	0x80, 0x40, /* #        #       */

	/* @568 '\' (5 pixels wide) */
	0x00, 0x40, /*          #       */
	0x01, 0x80, /*        ##        */
	0x0E, 0x00, /*     ###          */
	0x30, 0x00, /*   ##             */
	0x40, 0x00, /*  #               */

	/* @578 ']' (3 pixels wide) */
	0x80, 0x40, /* #        #       */
	0x80, 0x40, /* #        #       */
	0xFF, 0xC0, /* ##########       */

	/* @584 '^' (5 pixels wide) */
	0x03, 0x00, /*       ##         */
	0x00, 0x80, /*         #        */
	0x00, 0x40, /*          #       */
	0x00, 0x80, /*         #        */
	0x03, 0x00, /*       ##         */

	/* @594 '_' (7 pixels wide) */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */
	0x80, 0x00, /* #                */

	/* @608 '`' (3 pixels wide) */
	0x00, 0x20, /*           #      */
	0x00, 0x60, /*          ##      */
	0x00, 0x40, /*          #       */

	/* @614 'a' (5 pixels wide) */
	0x18, 0x00, /*    ##            */
	0x25, 0x00, /*   #  # #         */
	0x25, 0x00, /*   #  # #         */
	0x35, 0x00, /*   ## # #         */
	0x3E, 0x00, /*   #####          */

	/* @624 'b' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x23, 0x00, /*   #   ##         */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x1E, 0x00, /*    ####          */

	/* @634 'c' (5 pixels wide) */
	0x1E, 0x00, /*    ####          */
	0x33, 0x00, /*   ##  ##         */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */

	/* @644 'd' (5 pixels wide) */
	0x1E, 0x00, /*    ####          */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x11, 0x00, /*    #   #         */
	0x3F, 0xC0, /*   ########       */

	/* @654 'e' (5 pixels wide) */
	0x1E, 0x00, /*    ####          */
	0x35, 0x00, /*   ## # #         */
	0x25, 0x00, /*   #  # #         */
	0x25, 0x00, /*   #  # #         */
	0x26, 0x00, /*   #  ##          */

	/* @664 'f' (7 pixels wide) */
	0x02, 0x00, /*       #          */
	0x02, 0x00, /*       #          */
	0x3F, 0x80, /*   #######        */
	0x02, 0x40, /*       #  #       */
	0x02, 0x40, /*       #  #       */
	0x02, 0x40, /*       #  #       */
	0x00, 0x40, /*          #       */

	/* @678 'g' (6 pixels wide) */
	0xFE, 0x00, /* #######          */
	0xA9, 0x00, /* # # #  #         */
	0xA9, 0x00, /* # # #  #         */
	0xA9, 0x00, /* # # #  #         */
	0x67, 0x00, /*  ##  ###         */
	0x01, 0x00, /*        #         */

	/* @690 'h' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x02, 0x00, /*       #          */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */
	0x3E, 0x00, /*   #####          */

	/* @700 'i' (5 pixels wide) */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x3F, 0x60, /*   ###### ##      */
	0x20, 0x60, /*   #      ##      */
	0x20, 0x00, /*   #              */

	/* @710 'j' (4 pixels wide) */
	0x81, 0x00, /* #      #         */
	0x81, 0x00, /* #      #         */
	0x81, 0x60, /* #      # ##      */
	0x7F, 0x60, /*  ####### ##      */

	/* @718 'k' (5 pixels wide) */
	0x3F, 0xC0, /*   ########       */
	0x04, 0x00, /*      #           */
	0x0A, 0x00, /*     # #          */
	0x11, 0x00, /*    #   #         */
	0x20, 0x00, /*   #              */

	/* @728 'l' (5 pixels wide) */
	0x20, 0x40, /*   #      #       */
	0x20, 0x40, /*   #      #       */
	0x3F, 0xC0, /*   ########       */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */

	/* @738 'm' (5 pixels wide) */
	0x3F, 0x00, /*   ######         */
	0x01, 0x00, /*        #         */
	0x3F, 0x00, /*   ######         */
	0x01, 0x00, /*        #         */
	0x3F, 0x00, /*   ######         */

	/* @748 'n' (5 pixels wide) */
	0x3F, 0x00, /*   ######         */
	0x03, 0x00, /*       ##         */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */
	0x3E, 0x00, /*   #####          */

	/* @758 'o' (5 pixels wide) */
	0x1E, 0x00, /*    ####          */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x1E, 0x00, /*    ####          */

	/* @768 'p' (5 pixels wide) */
	0xFF, 0x00, /* ########         */
	0x23, 0x00, /*   #   ##         */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x1E, 0x00, /*    ####          */

	/* @778 'q' (5 pixels wide) */
	0x1E, 0x00, /*    ####          */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */
	0x11, 0x00, /*    #   #         */
	0xFF, 0x00, /* ########         */

	/* @788 'r' (5 pixels wide) */
	0x3F, 0x00, /*   ######         */
	0x02, 0x00, /*       #          */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */
	0x03, 0x00, /*       ##         */

	/* @798 's' (4 pixels wide) */
	0x26, 0x00, /*   #  ##          */
	0x25, 0x00, /*   #  # #         */
	0x29, 0x00, /*   # #  #         */
	0x19, 0x00, /*    ##  #         */

	/* @806 't' (5 pixels wide) */
	0x01, 0x00, /*        #         */
	0x01, 0x00, /*        #         */
	0x3F, 0xC0, /*   ########       */
	0x21, 0x00, /*   #    #         */
	0x21, 0x00, /*   #    #         */

	/* @816 'u' (5 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x20, 0x00, /*   #              */
	0x20, 0x00, /*   #              */
	0x30, 0x00, /*   ##             */
	0x3F, 0x00, /*   ######         */

	/* @826 'v' (5 pixels wide) */
	0x07, 0x00, /*      ###         */
	0x18, 0x00, /*    ##            */
	0x20, 0x00, /*   #              */
	0x18, 0x00, /*    ##            */
	0x07, 0x00, /*      ###         */

	/* @836 'w' (5 pixels wide) */
	0x1F, 0x00, /*    #####         */
	0x30, 0x00, /*   ##             */
	0x0E, 0x00, /*     ###          */
	0x18, 0x00, /*    ##            */
	0x3F, 0x00, /*   ######         */

	/* @846 'x' (7 pixels wide) */
	0x20, 0x00, /*   #              */
	0x31, 0x00, /*   ##   #         */
	0x0B, 0x00, /*     # ##         */
	0x04, 0x00, /*      #           */
	0x0B, 0x00, /*     # ##         */
	0x31, 0x00, /*   ##   #         */
	0x20, 0x00, /*   #              */

	/* @860 'y' (6 pixels wide) */
	0x80, 0x00, /* #                */
	0x83, 0x00, /* #     ##         */
	0xDC, 0x00, /* ## ###           */
	0x30, 0x00, /*   ##             */
	0x0C, 0x00, /*     ##           */
	0x03, 0x00, /*       ##         */

	/* @872 'z' (5 pixels wide) */
	0x21, 0x00, /*   #    #         */
	0x31, 0x00, /*   ##   #         */
	0x2D, 0x00, /*   # ## #         */
	0x23, 0x00, /*   #   ##         */
	0x21, 0x00, /*   #    #         */

	/* @882 '{' (5 pixels wide) */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */
	0x7B, 0x80, /*  #### ###        */
	0x80, 0x40, /* #        #       */
	0x80, 0x40, /* #        #       */

	/* @892 '|' (1 pixels wide) */
	0xFF, 0xF0, /* ############     */

	/* @894 '}' (5 pixels wide) */
	0x80, 0x40, /* #        #       */
	0x80, 0x40, /* #        #       */
	0x7B, 0x80, /*  #### ###        */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */

	/* @904 '~' (6 pixels wide) */
	0x0C, 0x00, /*     ##           */
	0x04, 0x00, /*      #           */
	0x04, 0x00, /*      #           */
	0x08, 0x00, /*     #            */
	0x08, 0x00, /*     #            */
	0x0C, 0x00, /*     ##           */
};

/* Character descriptors for Consolas 9pt */
/* { [Char width in bits], [Offset into consolas9ptCharBitmaps in bytes] } */
const FONT_CHAR_INFO consolas9ptCharDescriptors[] =
{
	{2, 0}, 		/*   */
	{2, 4}, 		/* ! */
	{3, 8}, 		/* " */
	{6, 14}, 		/* # */
	{5, 26}, 		/* $ */
	{7, 36}, 		/* % */
	{7, 50}, 		/* & */
	{1, 64}, 		/* ' */
	{3, 66}, 		/* ( */
	{3, 72}, 		/* ) */
	{5, 78}, 		/* * */
	{5, 88}, 		/* + */
	{3, 98}, 		/* , */
	{4, 104}, 		/* - */
	{2, 112}, 		/* . */
	{5, 116}, 		/* / */
	{6, 126}, 		/* 0 */
	{5, 138}, 		/* 1 */
	{5, 148}, 		/* 2 */
	{5, 158}, 		/* 3 */
	{6, 168}, 		/* 4 */
	{5, 180}, 		/* 5 */
	{5, 190}, 		/* 6 */
	{5, 200}, 		/* 7 */
	{5, 210}, 		/* 8 */
	{5, 220}, 		/* 9 */
	{2, 230}, 		/* : */
	{3, 234}, 		/* ; */
	{5, 240}, 		/* < */
	{5, 250}, 		/* = */
	{5, 260}, 		/* > */
	{4, 270}, 		/* ? */
	{7, 278}, 		/* @ */
	{5, 292}, 		/* A */
	{5, 302}, 		/* B */
	{5, 312}, 		/* C */
	{5, 322}, 		/* D */
	{4, 332}, 		/* E */
	{4, 340}, 		/* F */
	{6, 348}, 		/* G */
	{5, 360}, 		/* H */
	{5, 370}, 		/* I */
	{4, 380}, 		/* J */
	{5, 388}, 		/* K */
	{4, 398}, 		/* L */
	{6, 406}, 		/* M */
	{5, 418}, 		/* N */
	{6, 428}, 		/* O */
	{5, 440}, 		/* P */
	{6, 450}, 		/* Q */
	{6, 462}, 		/* R */
	{5, 474}, 		/* S */
	{5, 484}, 		/* T */
	{5, 494}, 		/* U */
	{5, 504}, 		/* V */
	{5, 514}, 		/* W */
	{7, 524}, 		/* X */
	{7, 538}, 		/* Y */
	{5, 552}, 		/* Z */
	{3, 562}, 		/* [ */
	{5, 568}, 		/* \ */
	{3, 578}, 		/* ] */
	{5, 584}, 		/* ^ */
	{7, 594}, 		/* _ */
	{3, 608}, 		/* ` */
	{5, 614}, 		/* a */
	{5, 624}, 		/* b */
	{5, 634}, 		/* c */
	{5, 644}, 		/* d */
	{5, 654}, 		/* e */
	{7, 664}, 		/* f */
	{6, 678}, 		/* g */
	{5, 690}, 		/* h */
	{5, 700}, 		/* i */
	{4, 710}, 		/* j */
	{5, 718}, 		/* k */
	{5, 728}, 		/* l */
	{5, 738}, 		/* m */
	{5, 748}, 		/* n */
	{5, 758}, 		/* o */
	{5, 768}, 		/* p */
	{5, 778}, 		/* q */
	{5, 788}, 		/* r */
	{4, 798}, 		/* s */
	{5, 806}, 		/* t */
	{5, 816}, 		/* u */
	{5, 826}, 		/* v */
	{5, 836}, 		/* w */
	{7, 846}, 		/* x */
	{6, 860}, 		/* y */
	{5, 872}, 		/* z */
	{5, 882}, 		/* { */
	{1, 892}, 		/* | */
	{5, 894}, 		/* } */
	{6, 904}, 		/* ~ */
};

/* Font information for Consolas 9pt */
const FONT_INFO consolas9ptFontInfo =
{
	2,                            /*  Character height */
	' ',                          /*  Start character */
	consolas9ptCharDescriptors,   /*  Character decriptor array */
	consolas9ptCharBitmaps,       /*  Character bitmap array */
};
